Package tigase.stats

# Class StatRecord<E extends Number>

java.lang.Object
tigase.stats.StatRecord<E>

@Deprecated public class StatRecord<E extends Number> extends Object
Deprecated.
Describe class StatRecord here.
Created: Wed Nov 23 21:28:53 2005

Author:
  Artur Hefczyc

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatRecord(String comp, String description, int value, Level level)`
  Deprecated.
  `StatRecord(String comp, String description, long value, Level level)`
  Deprecated.
  `StatRecord(String comp, String description, String value, Level level)`
  Deprecated.
  `StatRecord(String comp, StatisticType type, int value, Level level)`
  Deprecated.
  `StatRecord(String comp, StatisticType type, long value, Level level)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<E>`
  `getCollection()`
  Deprecated.
  `String`
  `getComponent()`
  Deprecated.
  `String`
  `getDescription()`
  Deprecated.
  `int`
  `getIntValue()`
  Deprecated.
  `Level`
  `getLevel()`
  Deprecated.
  `long`
  `getLongValue()`
  Deprecated.
  `StatisticType`
  `getType()`
  Deprecated.
  `String`
  `getValue()`
  Deprecated.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StatRecord

    public StatRecord(String comp, String description, String value, Level level)
    Deprecated.

  - ### StatRecord

    public StatRecord(String comp, String description, int value, Level level)
    Deprecated.

  - ### StatRecord

    public StatRecord(String comp, StatisticType type, long value, Level level)
    Deprecated.

  - ### StatRecord

    public StatRecord(String comp, StatisticType type, int value, Level level)
    Deprecated.

  - ### StatRecord

    public StatRecord(String comp, String description, long value, Level level)
    Deprecated.

- ## Method Details

  - ### getDescription

    public String getDescription()
    Deprecated.

  - ### getValue

    public String getValue()
    Deprecated.

  - ### getType

    public StatisticType getType()
    Deprecated.

  - ### getLevel

    public Level getLevel()
    Deprecated.

  - ### getComponent

    public String getComponent()
    Deprecated.

  - ### getLongValue

    public long getLongValue()
    Deprecated.

  - ### getIntValue

    public int getIntValue()
    Deprecated.

  - ### getCollection

    public Collection<E> getCollection()
    Deprecated.

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`